#include "projet.h"

void
ui_generic_apply_filters (TER_terrain_t * terrain)
{
  int i = 0;

  /* ressort le terrain original */
  TER_copy_orig_terr_to_effective (terrain);
  
  for (i = FILTER1; i < NUM_EFFECTIVE_FILTERS; i++)
    TER_apply_filter (terrain, terrain->filters[i].name,
		  terrain->filters[i].param);
  
  TER_FIL_allpositive(terrain);
  
  terrain->generated = 0;
  
  /* recree la displaylist */
  tessallate_terrain (terrain);
}

void ui_generic_generate_new_terrain (TER_terrain_t *terrain)
{
  if (TER_gen_terrain (terrain) == 0)
    fprintf (stderr, "Could not generate terrain\n");
  
  if (terrain->heightmap)
    tessallate_terrain (terrain);
}
